Skip Menu |
 

This queue is for tickets about the Geo-Google-MapObject CPAN distribution.

Report information
The Basics
Id: 82209
Status: new
Priority: 0/
Queue: Geo-Google-MapObject

People
Owner: Nobody in particular
Requestors: jidanni [...] jidanni.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



CC: bug-geo-google-mapobject [...] rt.cpan.org, control [...] bugs.debian.org
Subject: key not always mandatory etc.
Date: Tue, 25 Dec 2012 08:28:25 +0800
To: 656546 [...] bugs.debian.org
From: jidanni [...] jidanni.org
Download (untitled) / with headers
text/plain 1.1k
found 656546 0.06-1 thanks File: /usr/share/man/man3/Geo::Google::MapObject.3pm.gz key The mandatory API key. You can sign up for one at <http://code.google.com/apis/maps/signup.html>. Current policies mean this is not necessarily mandatory now in all cases. Perhaps reword the man page. And fix the program! no API key at l.pl line 4 Sentence without context, which also needs to be fixed: Google Maps API You need to have one of these which can be obtained from <http://code.google.com/apis/maps/signup.html>. Update this sentence too: "no API key" To use this module you must sign up for an API key (http://code.google.com/apis/maps/signup.html) and supply it as the key parameter. P.S., # su - nobody $ < /dev/null > /dev/null man Geo::Google::MapObject <standard input>:180: warning [p 1, 9.3i]: can't break line <standard input>:210: warning [p 2, 4.0i]: can't break line... P.S., I recall the google docs say to emit %7C's instead of |'s, as seen with your static_map_url... Hmmm, it seems lots would need to be updated to make it match the current staticmaps standard... e.g., visible= computed along with markers=...


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.